net.corda.core.contracts

## Class Expression

- net.corda.core.contracts.Expression

-     public class Expression

  Represents a textual expression of e.g. a formula

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Expression(java.lang.String expr)` Represents a textual expression of e.g. a formula

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `Expression` | `copy(java.lang.String expr)` Represents a textual expression of e.g. a formula
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getExpr()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Expression

          public Expression(java.lang.String expr)

      Represents a textual expression of e.g. a formula

  - ### Method Detail

    - #### getExpr

          public java.lang.String getExpr()

    - #### component1

          public java.lang.String component1()

    - #### copy

          public Expression copy(java.lang.String expr)

      Represents a textual expression of e.g. a formula

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)